Bug 191524 - CVE-2006-1856 LSM missing readv/writev
CVE-2006-1856 LSM missing readv/writev
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Morris
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-05-12 14:39 EDT by Jason Baron
Modified: 2013-03-06 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 05:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (1.65 KB, patch)
2006-05-12 14:39 EDT, Jason Baron
no flags Details | Diff

  None (edit)
Description Jason Baron 2006-05-12 14:39:51 EDT
Description of problem:

Some time ago, a bug was fixed upstream [1] where a rewrite of the
readv/writev code did not include adding appropriate LSM hooks, and these
syscalls are unmediated in RHEL4.

Additionally, Al Viro just discovered that the upstream fix neglected the
compat code.

This patch fixes both cases.  I've verified the problem and the fix.

Please apply.

Signed-off-by: James Morris <jmorris@redhat.com>

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jason Baron 2006-05-12 14:39:51 EDT
Created attachment 128948 [details]
Comment 5 Daniel Riek 2006-05-17 17:08:30 EDT
PM ACK and approving exception request.
Comment 6 Marcel Holtmann 2006-05-18 05:50:08 EDT
The reference is the older Fedora bug 169433.
Comment 10 Red Hat Bugzilla 2006-05-24 05:33:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.